Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## examples.e2e.b2b.processors
Class E2eB2bPreProcessor

    java.lang.Object
      |
      +--com.bea.portal.appflow.processor.AbstractPortalProcessor
            |
            +--com.bea.portal.appflow.processor.PreProcessor
                  |
                  +--examples.e2e.b2b.processors.E2eB2bPreProcessor

public class E2eB2bPreProcessor
extends PreProcessor

This processor replaces the `com.bea.portal.appflow.processor.PreProcessor` in the portal frameworks webflow (portal.wf) in order to provide a mechanism for invoking once-per-request processing for every b2b portal request.

Constructor Summary
`E2eB2bPreProcessor()` Constructs a new processor.

Method Summary
`java.lang.Object` | `process(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, PortalRequest portalRequest, java.lang.Object requestContext)` Processes incoming servlet requests.

Methods inherited from class com.bea.portal.appflow.processor.AbstractPortalProcessor
`getCurrentPortletState, process`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### E2eB2bPreProcessor

    public E2eB2bPreProcessor()

  Constructs a new processor.

Method Detail

### process

    public java.lang.Object process(javax.servlet.http.HttpServletRequest request,
                                    javax.servlet.http.HttpServletResponse response,
                                    PortalRequest portalRequest,
                                    java.lang.Object requestContext)
                             throws ProcessingException

  Processes incoming servlet requests. This method is invoked exactly once for every request to the b2b portal (see portal.wf). A common `Calendar` is created and added to the ``RequestState`` object so that all portlets can use a common time reference when performing logic or displaying information. This method also deletes data files (XML and otherwise) generated by BPM during operation when a new `HttpSession` is encountered. See `BuyerFactory` for more details. After performing the work mentioned above this method invokes the ``PreProcessor.process(javax.servlet.http.HttpServletRequest, javax.servlet.http.HttpServletResponse, com.bea.portal.appflow.PortalRequest, java.lang.Object)`` method of its parent.

  Overrides:
    process in class PreProcessor

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved